Cocoonフォーラム

書き込みの前に以下の3点をご確認ください。
  1. 1つのトピックにつき1つの質問を書き込んでください
  2. 不具合・カスタマイズ対象ページのURLを提示高速化を無効にしてください
  3. 該当部分のキャプチャ・環境情報とともに書き込んでいただけると助かります

何を書き込んだら良いか分からない場合は、以下のテンプレートをコピペしてご利用ください。

不具合・カスタマイズ対象ページのURL:

相談内容:

不具合の発生手順:

解決のために試したこと:

※文字だけでは正しく伝わらない可能性があるため、スクショ画像の添付もお願いします。
※高速化設定をしている場合は無効にしてください。
環境情報:

※↑こちらに「Cocoon設定 → テーマ情報」にある「環境情報」を貼り付けてください。

環境情報の取得方法はこちら。
https://wp-cocoon.com/theme-report/
高速化設定を無効にするにはこちら。
https://wp-cocoon.com/theme-trouble/

フォーラム利用ガイドリンク

  1. フォーラムガイドライン
  2. よくある質問と答え(FAQ)
  3. サポート対象外のケース
  4. 原因不明の不具合用トラブルシューティング
  5. トピックにHTMLを貼り付ける方法(推奨ツール:notepad.pw
  6. 真っ白画面でのエラーメッセージの確認方法
  7. ブラウザ環境チェックツール
  8. Cocoonカスタマイズ依頼

フォーラム質問後、問題等が解決した場合は結果を書き込んでいただけると幸いです。同様の問題で調べている方には、結果が一番気になる部分となります。

共有:
通知
すべてクリア

[解決済] 推奨PHPバージョン

3 投稿
2 ユーザー
2 Likes
5,763 表示
azuki
(@azuki)
Eminent Member Registered
結合: 5年前
投稿: 37
Topic starter  

「不具合」欄でサイトエラーについて相談しておりましたazukiです。

https://wp-cocoon.com/community/bugs/cocoon%e6%9b%b4%e6%96%b0%e5%be%8cfatal-error-%e3%81%ab%e3%81%aa%e3%81%a3%e3%81%9f%e5%be%8c%e3%81%ae%e3%83%90%e3%83%83%e3%82%af%e3%82%a2%e3%83%83%e3%83%97%e3%81%ae%e5%be%a9%e5%85%83%e6%96%b9%e6%b3%95/#post-37027

今回のトラブルがきっかけで、「PHPバージョンの切り替え」なる作業が存在することを知りました。サイトを始めてから、一度も切替えたことがありません。

私は今、PHP7.2.29を使用しているのですが、エックスサーバーによると、PHP7.4.4が推奨とされています。

色々ググってみたところ、PHPはバージョンアップした方がスピードが上がるなどメリットがあるとか。しかし使用中のプラグインやテーマと互換性がないと、サイトが真っ白になってしまう危険性もあるとか。そのため、PHP Compatibility Checkerというプラグインで、PHPのバージョンと、プラグインやテーマとの互換性を確認してから、PHPのバージョン切替をするのが良いとか。

そこで試しにPHP Compatibility Checker をインストールして、プラグインやテーマとの互換性をチェックしようとしたのですが、そもそもチェックできるPHPのバージョンが PHP7.3までとなっており、調べようがありませんでした。

そこでお尋ねしたいのですが、cocoonを使用するにあたり、推奨のPHPは何でしょうか?PHP7.4.4に切替えた方がよいでしょうか?

また、一般的に、PHPは常に最新のものにしておくのがよろしいのでしょうか?

恐れ入りますが、ご教授くださいますよう、お願い致します。

 

 

 

 


   
わいひら
(@yhira)
Illustrious Member Admin
結合: 5年前
投稿: 14137
 
投稿者:: @azuki

PHP7.4.4に切替えた方がよいでしょうか?

切り替えて問題ないかと思います。
もし仮にエラーが出るようであれば、サーバーのコントロールパネルから元に戻せば良いだけです。

投稿者:: @azuki

また、一般的に、PHPは常に最新のものにしておくのがよろしいのでしょうか?

基本的には最新のものを使うのが望ましいです。
ただもしかしたらエラーが出る可能性はゼロではないので、1ヶ月くらい様子見してから、変更するというのでも良いかもしれません。


   
azuki reacted
azuki
(@azuki)
Eminent Member Registered
結合: 5年前
投稿: 37
Topic starter  

わいひら様

了解しました!

それでは安心して、PHP7.4.4に更新します。

教えて頂いて、助かりました!

ありがとうございました!


   
わいひら reacted
共有:

問題の解決に至った場合には、トピック冒頭の「解決済み」をクリックしていただけますと幸いです。

wpForoの解決済みリンク

また、有用な回答があった場合は「いいね!」もご活用ください。回答者の励みになります。

wpForoのいいねリンク

「いいね!」機能はフォーラム登録者のみが利用できる機能です。

CC BY-ND 2.1)準じていれば(リンクを貼っていただければ)転載も自由です。カスタマイズ記事を書く際にコード等をコピペ利用していただいて構いません。

フォーラムの使い方がよくわからない場合は、テストトピックで自由にテストしていただいて構いません。

最近の書き込みはこちら。

詳細なカスタマイズ依頼をするならこちら。

タイトルとURLをコピーしました